* E Posta Adresiniz:
* Kodu Girin:

Katı cismin üzerinde istenilen çapta silindir açan autolisp

Dell.lsp
admin - 29.12.2004 13:43
Yazar: Murat Demirel
İçerik: LSP (Lisp) formatında AutoLISP dosyası

(Kontrol panelinizde görünür)
Dell.lsp: X,Y Düzleminde bulunan bir katı cismin üzerinde istenilen çapta silindir açar...

Aşağıda detaylı olarak verilen bu örnek programı download butonuna tıklayarak indirebilirsiniz.

AutoLisp dosyasını bilgisayarınıza kaydettikten ve AutoCAD içine yükledikten sonra komut satırına DELL yazarsanız bu lisp komutu çalışır.

tag: Katı cismin üzerinde istenilen çapta silindir açan autolisp dosyası, autolisp dosyasi, lisp, kati modele delik acan lisp, x,y düzlemindeki solid objeye delik açmak

Kod:

(defun c:dell()

(setq p1(getpoint "
Delinecek nesne dışında bir nokta seçin:"))

(setq p2(getpoint "
Delinecek nesne içinde bir nokta seçin:"))

(setq nesne(ssget "c" p1 p2))

(setq yer(getpoint "
Merkez noktası :"))

(setq r(getreal "
Yariçapı girin :"))

(setq h(getreal "
Yüksekliği Girin :"))

(command "ucs" "origin" yer)

(command "cylinder" "0,0,0" r h)

(command "subtract" nesne "" "last" "")

(setq nh(* -1 h))

(command "cylinder" "0,0,0" r nh)

(command "subtract" nesne "" "last" "")

(command "ucs" "world" "")

)(PRINC "--> 'www.autocadokulu.com' Çizim yardımları yüklendi !")


Programın Açıklaması:

(defun c:dell() : Programı aktif etmek için kullanılacak komutu belirtir .

(setq p1(getpoint "
Delinecek nesne dışında bir nokta seçin:"))
(setq p2(getpoint "
Delinecek nesne içinde bir nokta seçin:"))

Yukarıdaki satırlar şekil içinde ve dışında birer nokta seçtirerek bu nokta koordinatlarını P1 ve P2 değişkenlerine aktarır.

(setq nesne(ssget "c" p1 p2)) : P1 ve P2 noktaları arasında nesneyi veya nesneleri seçerek bu nesneyi "nesne" değişkenine atar. Bu iki nokta arasında bulunan şekli seçmek için ise "c" parametresi kullanılmıştır.

(setq yer(getpoint "
Merkez noktası :")) : Çizilecek silindirin merkezini belirlemek için bir nokta seçtirir ve yer değişkenine aktarır.

(setq r(getreal "
Yariçapı girin :")) : Çizilecek silindirin yarıçapının girilmesi istenir ve bu değer "r" değişkenine atanır.

(setq h(getreal "
Yüksekliği Girin :")) : Çizilecek silindirin uzunluğunu ister ve bu değeri h değerine atanırır.

(command "ucs" "origin" yer) : UCS yer değişkeninde saklanan noktaya taşınır.

(command "cylinder" "0,0,0" r h) : "0,0,0" noktası merkez olacak şekilde "r" yarıçapında ve "h" yüksekliğinde bir silindir çizer.

(command "subtract" nesne "" "last" "") : Son çizilen nesneyi yani silindiri "nesne" değişkenine atanmış olan nesneden çıkarır.

(setq nh(* -1 h)) : "h" değerinin çarpmaya göre tersini alır ve "nh" değişkenine atanır.

(command "cylinder" "0,0,0" r nh) : "0,0,0" noktası merkez olacak şekilde "r" yarıçapında ve "nh" yüksekliğinde bir silindir çizer. Fakat bu yeni silindir diğer silindirin tersi yönünde uzanır.

(command "subtract" nesne "" "last" "") : Son çizilen nesneyi yani silindiri "nesne" değişkenine atanmış olan nesneden çıkarır.

(command "ucs" "world" "") : UCS standart ayarına getirilir.

Bu kodları nasıl kullanacağınızı bilmiyorsanız aşağıdaki linkten;
AutoLISP > Konu Anlatımları > Lisp Dosyalarının oluşturulması ve Yüklenmesi
konusunu inceleyiniz.


Bu dosyayı internette yayınlayan Murat Demirel'e teşekkürler.



Sitemizden download edebileceğiniz diğer lispler

Lisp'in ne olduğunu bilmiyorsanız bu sayfayı okuyun: AutoLisp Nedir?

Lisplerin nasıl yükleneceğini bilmiyorsanız bu sayfayı okuyun: Nasıl Yüklenir?
Download sayısı: 1104, Boyut: 0.004 mb
Yorumlar :
admin   10.07.2009 01:22 #11404  

Arkadaşlar link problemi düzeltildi. Yeniden denerseniz download edebilirsiniz.

karsmurat   09.07.2009 21:33 #11403  

silinmiş sanırım 404 hatası alıyorum.

gokturkkaan   03.11.2007 06:13 #6242  

link çalışmıyor

Copyright © 2004-2018 | Tüm Hakları Saklıdır | 908 | Site haritası | İstatistikler | Hakkımızda | Kadromuz | Gizlilik | Reklam